> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create order

> This is the key API endpoint for placing an order.



## OpenAPI

````yaml POST /service-order
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /service-order:
    post:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                customerAddressId:
                  type: number
                  format: float
                orderDelivery:
                  properties:
                    delivery:
                      properties:
                        thirdPartyDeliveryCostInCents:
                          type: number
                          format: float
                        thirdPartyDeliveryId:
                          anyOf:
                            - type: string
                            - type: number
                              format: float
                          nullable: true
                        subsidyInCents:
                          type: number
                          format: float
                        courierTip:
                          type: number
                          format: float
                        totalDeliveryCost:
                          type: number
                          format: float
                        deliveryDay:
                          type: string
                          description: >-
                            Contains the delivery day in ISO format without time
                            - 2025-02-12
                        deliveryProvider:
                          type: string
                          enum:
                            - OWN_DRIVER
                            - ON_DEMAND
                        windowId:
                          type: number
                          format: float
                          description: Available delivery window ID
                      required:
                        - subsidyInCents
                        - courierTip
                        - deliveryWindow
                        - deliveryProvider
                        - timingsId
                      type: object
                    pickup:
                      properties:
                        thirdPartyDeliveryCostInCents:
                          type: number
                          format: float
                        thirdPartyDeliveryId:
                          anyOf:
                            - type: string
                            - type: number
                              format: float
                          nullable: true
                        subsidyInCents:
                          type: number
                          format: float
                        courierTip:
                          type: number
                          format: float
                        totalDeliveryCost:
                          type: number
                          format: float
                        deliveryDay:
                          type: string
                          description: >-
                            Contains the delivery day in ISO format without time
                            - 2025-02-12
                        deliveryProvider:
                          type: string
                          enum:
                            - OWN_DRIVER
                            - ON_DEMAND
                        windowId:
                          type: number
                          format: float
                          description: Available delivery window ID
                      required:
                        - subsidyInCents
                        - courierTip
                        - deliveryWindow
                        - deliveryProvider
                        - timingsId
                      type: object
                  type: object
                returnMethod:
                  type: string
                  enum:
                    - IN_STORE_PICKUP
                    - DELIVERY
                    - null
                  nullable: true
                  description: >-
                    Set returnMethod as DELIVERY if you require return delivery,
                    otherwise specify IN_STORE_PICKUP
                bagCount:
                  type: number
                  format: float
                storeId:
                  type: number
                  format: float
                centsCustomerId:
                  type: number
                  format: float
                orderServices:
                  items:
                    properties:
                      servicePriceId:
                        type: number
                        format: float
                      serviceModifierIds:
                        items:
                          type: number
                          format: float
                        type: array
                      serviceNotes:
                        type: string
                        nullable: true
                    required:
                      - servicePriceId
                    type: object
                    additionalProperties: false
                  type: array
                hasDryCleaning:
                  type: boolean
                isHangDrySelected:
                  type: boolean
                subscription:
                  description: Use this property for recurring order
                  properties:
                    interval:
                      type: number
                      enum:
                        - 1
                        - 2
                        - 4
                      description: |-
                        Frequency of repeat orders in weeks: 
                        1 - every week, 
                        2 - every two weeks, 
                        4 - every four weeks
                  required:
                    - interval
                  type: object
                turnAroundInHours:
                  type: number
                  format: float
                paymentToken:
                  type: string
                tipAmount:
                  type: number
                  format: float
                tipOption:
                  type: string
                promoCode:
                  type: string
                hangDryInstructions:
                  type: string
                orderNotes:
                  type: string
              required:
                - customerAddressId
                - orderDelivery
                - returnMethod
                - bagCount
                - storeId
                - centsCustomerId
                - hasDryCleaning
                - isHangDrySelected
                - turnAroundInHours
                - hangDryInstructions
                - orderNotes
              type: object
              additionalProperties: false
              example:
                customerAddressId: 74
                orderDelivery:
                  pickup:
                    deliveryDay: '2025-07-03'
                    deliveryProvider: OWN_DRIVER
                    windowId: 98
                    totalDeliveryCost: 0
                    courierTip: 0
                  delivery:
                    deliveryDay: '2025-07-06'
                    deliveryProvider: ON_DEMAND
                    windowId: 101
                    totalDeliveryCost: 0
                    courierTip: 0
                    thirdPartyDeliveryId: id from nash window
                returnMethod: DELIVERY
                bagCount: 2
                storeId: 339
                orderServices:
                  - servicePriceId: 23
                    serviceModifierIds:
                      - 58
                    serviceNotes: null
                hasDryCleaning: false
                isHangDrySelected: true
                turnAroundInHours: 48
                paymentToken: token from stripe
                subscription:
                  interval: 2
      responses:
        '200':
          description: Order successfully created
          content:
            application/json:
              schema:
                type: number
                format: float
                description: Returns the order ID
        '404':
          description: Some data from request body not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Store is not found
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````